-----------------------------------------------------------
-- |
-- module:                      Graphics.UI.GL3W
-- copyright:                   (c) 2021 Tao He
-- license:                     Unlicense
-- maintainer:                  sighingnow@gmail.com
--
-- Direct C FFI bindings for "GL/gl3w.h".
--
{-# LANGUAGE CPP #-}
#if __GLASGOW_HASKELL__ >= 801
{-# LANGUAGE Strict #-}
#endif
{-# LANGUAGE ForeignFunctionInterface #-}

module Graphics.UI.GL3W where

foreign import ccall "gl3wInit" gl3wInit :: IO Int
foreign import ccall "gl3wIsSupported" gl3wIsSupported :: Int  -- ^ major
                                                       -> Int  -- ^ minor
                                                       -> IO Int
